# Class UserOperationResult | EchoHub Documentation

# Class UserOperationResult

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record UserOperationResult : IEquatable<UserOperationResult>

Inheritance
  object
  UserOperationResult

Implements
  IEquatable<UserOperationResult>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### UserOperationResult(UserOperationResult)

    protected UserOperationResult(UserOperationResult original)

#### Parameters

`original` UserOperationResult

### UserOperationResult(UserProfileDto?, UserError?, string?)

    public UserOperationResult(UserProfileDto? User, UserError? Error, string? ErrorMessage)

#### Parameters

`User` UserProfileDto
`Error` UserError?
`ErrorMessage` string

## Properties

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Error

    public UserError? Error { get; init; }

#### Property Value

UserError?

### ErrorMessage

    public string? ErrorMessage { get; init; }

#### Property Value

string

### IsSuccess

    public bool IsSuccess { get; }

#### Property Value

bool

### User

    public UserProfileDto? User { get; init; }

#### Property Value

UserProfileDto

## Methods

### Deconstruct(out UserProfileDto?, out UserError?, out string?)

    public void Deconstruct(out UserProfileDto? User, out UserError? Error, out string? ErrorMessage)

#### Parameters

`User` UserProfileDto
`Error` UserError?
`ErrorMessage` string

### Equals(UserOperationResult?)

    public virtual bool Equals(UserOperationResult? other)

#### Parameters

`other` UserOperationResult

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### Fail(UserError, string)

    public static UserOperationResult Fail(UserError error, string message)

#### Parameters

`error` UserError
`message` string

#### Returns

UserOperationResult

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### Success(UserProfileDto)

    public static UserOperationResult Success(UserProfileDto user)

#### Parameters

`user` UserProfileDto

#### Returns

UserOperationResult

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(UserOperationResult?, UserOperationResult?)

    public static bool operator ==(UserOperationResult? left, UserOperationResult? right)

#### Parameters

`left` UserOperationResult
`right` UserOperationResult

#### Returns

bool

### operator !=(UserOperationResult?, UserOperationResult?)

    public static bool operator !=(UserOperationResult? left, UserOperationResult? right)

#### Parameters

`left` UserOperationResult
`right` UserOperationResult

#### Returns

bool